package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class ApCabTemp.
 * @see sicura.entities.ApCabTemp
 * @author Hibernate Tools
 */
@Stateless
public class ApCabTempHome {

	private static final Log log = LogFactory.getLog(ApCabTempHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(ApCabTemp transientInstance) {
		log.debug("persisting ApCabTemp instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(ApCabTemp persistentInstance) {
		log.debug("removing ApCabTemp instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public ApCabTemp merge(ApCabTemp detachedInstance) {
		log.debug("merging ApCabTemp instance");
		try {
			ApCabTemp result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public ApCabTemp findById(ApCabTempId id) {
		log.debug("getting ApCabTemp instance with id: " + id);
		try {
			ApCabTemp instance = entityManager.find(ApCabTemp.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
